# encoding: utf-8

# This file is autogenerated. Do not edit it manually.
# If you want change the content of this file, edit
#
#   /spec/fixtures/responses/whois.ua/uanic/property_contacts_multiple.expected
#
# and regenerate the tests with the following rake task
#
#   $ rake spec:generate
#

require 'spec_helper'
require 'whois/record/parser/whois.ua.rb'

describe Whois::Record::Parser::WhoisUa, "property_contacts_multiple.expected" do

  subject do
    file = fixture("responses", "whois.ua/uanic/property_contacts_multiple.txt")
    part = Whois::Record::Part.new(:body => File.read(file))
    described_class.new(part)
  end

  describe "#technical_contacts" do
    it do
      subject.technical_contacts.should be_a(Array)
      subject.technical_contacts.should have(2).items
      subject.technical_contacts[0].should be_a(Whois::Record::Contact)
      subject.technical_contacts[0].type.should          == Whois::Record::Contact::TYPE_TECHNICAL
      subject.technical_contacts[0].id.should            == "KG780-UANIC"
      subject.technical_contacts[0].name.should          == nil
      subject.technical_contacts[0].organization.should  == "Kyivstar GSM"
      subject.technical_contacts[0].address.should       == "Chervonozoryanyi Av., 51"
      subject.technical_contacts[0].city.should          == "KYIV"
      subject.technical_contacts[0].zip.should           == "03110"
      subject.technical_contacts[0].state.should         == nil
      subject.technical_contacts[0].country.should       == "UA"
      subject.technical_contacts[0].country_code.should  == nil
      subject.technical_contacts[0].phone.should         == "+380 (67) 2372213"
      subject.technical_contacts[0].fax.should           == "+380 (44) 2473954"
      subject.technical_contacts[0].email.should         == "dnsmaster@kyivstar.net"
      subject.technical_contacts[0].created_on.should    == nil
      subject.technical_contacts[0].updated_on.should    == Time.parse("2008-09-02 12:52:47")
      subject.technical_contacts[1].should be_a(Whois::Record::Contact)
      subject.technical_contacts[1].type.should          == Whois::Record::Contact::TYPE_TECHNICAL
      subject.technical_contacts[1].id.should            == "EIC-UANIC"
      subject.technical_contacts[1].name.should          == nil
      subject.technical_contacts[1].organization.should  == "\"ElVisti Information Center\", LLC\nООО \"Информационный центр \"Электронные вести\"\nТОВ \"ІЦ ЕЛВІСТІ\""
      subject.technical_contacts[1].address.should       == "а/с, 151"
      subject.technical_contacts[1].city.should          == "КИЇВ"
      subject.technical_contacts[1].zip.should           == "03037"
      subject.technical_contacts[1].state.should         == nil
      subject.technical_contacts[1].country.should       == "UA"
      subject.technical_contacts[1].country_code.should  == nil
      subject.technical_contacts[1].phone.should         == "+38044 239-90-91"
      subject.technical_contacts[1].fax.should           == nil
      subject.technical_contacts[1].email.should         == "hostmaster@visti.net"
      subject.technical_contacts[1].created_on.should    == nil
      subject.technical_contacts[1].updated_on.should    == Time.parse("2011-12-15 11:33:14")
    end
  end
end
